odf.element.Text Class Reference
Inheritance diagram for odf.element.Text:
[legend]
Collaboration diagram for odf.element.Text:
[legend]

## Public Member Functions

def | __init__ (self, data)
def | __str__ (self)
def | __unicode__ (self)
def | toXml (self, level, f)
| Write XML in UTF-8. More...
Public Member Functions inherited from odf.element.Childless
def | appendChild (self, node)
| Raises an error. More...
def | hasChildNodes (self)
def | insertBefore (self, newChild, refChild)
| Raises an error. More...
def | removeChild (self, oldChild)
| Raises an error. More...
def | replaceChild (self, newChild, oldChild)
| Raises an error. More...
Public Member Functions inherited from odf.element.Node
def | hasChildNodes (self)
| Tells whether this element has any children; text nodes, subelements, whatever. More...
def | insertBefore (self, newChild, refChild)
| Inserts the node newChild before the existing child node refChild. More...
def | appendChild (self, newChild)
| Adds the node newChild to the end of the list of children of this node. More...
def | removeChild (self, oldChild)
| Removes the child node indicated by oldChild from the list of children, and returns it. More...
def | __str__ (self)
def | __unicode__ (self)

## Public Attributes

| data

## Static Public Attributes

| nodeType = Node.TEXT_NODE
string | tagName = "Text"
Static Public Attributes inherited from odf.element.Childless
| attributes = None
| childNodes = EmptyNodeList()
| firstChild = None
| lastChild = None
Static Public Attributes inherited from odf.element.Node
| parentNode = None
| nextSibling = None
| previousSibling = None

## Detailed Description

Definition at line 319 of file element.py.

## Constructor & Destructor Documentation

## __init__()

def odf.element.Text.__init__ | ( |  | self,
|  |  | data
| ) |  |

Definition at line 323 of file element.py.

## Member Function Documentation

## __str__()

def odf.element.Text.__str__ | ( |  | self | ) |

Definition at line 326 of file element.py.

## __unicode__()

def odf.element.Text.__unicode__ | ( |  | self | ) |

Definition at line 329 of file element.py.

## toXml()

def odf.element.Text.toXml | ( |  | self,
|  |  | level,
|  |  | f
| ) |  |

Write XML in UTF-8.

Definition at line 334 of file element.py.

## Member Data Documentation

## data

odf.element.Text.data

Definition at line 324 of file element.py.

## nodeType

odf.element.Text.nodeType = Node.TEXT_NODE

static

Definition at line 320 of file element.py.

## tagName

string odf.element.Text.tagName = "Text"

static

Definition at line 321 of file element.py.

The documentation for this class was generated from the following file:

- odf/element.py